package main

import (
	"context"
	"fmt"
	"github.com/gshopify/service-wrapper/auth"
	"github.com/gshopify/service-wrapper/config"
	"os"
)

func preset() error {
	if *fConfig == "" {
		return fmt.Errorf("config file path must be provided")
	}

	f, err := os.Open(*fConfig)
	if err != nil {
		return err
	}

	return config.Instance().Set(context.Background(), auth.New(), f)
}
